import { Autocomplete, TextField } from "@mui/material";
import { memo } from "react";


function CalendarModalWorkerContent({ allUserProjects, onChangeProjectHandler, workerInfo }) {
  console.log(workerInfo)
  return (<>
    <Autocomplete
      id="choose-project"
      freeSolo
      options={allUserProjects}
      getOptionLabel={(item) => item.title || ""}
      onChange={onChangeProjectHandler}
      name={"userId"}
      value={workerInfo.project}
      renderInput={(params) => <TextField
        style={{ margin: "5px" }}
        label={"Проект"}
        state={workerInfo.project}
        {...params} />}
    />
    {workerInfo.project ?
      <Autocomplete
        id="choose-worker"
        freeSolo
        options={allUserProjects}
        getOptionLabel={(item) => item.title || ""}
        onChange={(e, value)=>{ onChangeProjectHandler(e, value)}}
        name={"userId"}
        value={workerInfo.project}
        renderInput={(params) => <TextField
          style={{ margin: "5px" }}
          label={"Проект"}
          state={workerInfo.project}
          {...params} />}
      />
      : null}
  </>);
}

export default memo(CalendarModalWorkerContent);